/*
 *  Name       : main.cpp (test fuer postfachlist.h)
 *  Author     : Andreas Romeyke
 *  Subject    : Projekt Informatik S99/1 2000
 *  Teammembers: Andreas Romeyke, Michael Schreiter, Dirk Baumann, Falko Gittel
 *  Copyright  : LGPL (see http://www.gnu.org)
 *  Description: Testprogramm fr Liste.
 *  Interfaces : see Source
 *  Tested     : Linux with egcs 2.91.66
 *  Status     : only for testing
 *  Date       : 30.4.2000
*/

//#define LINUX

#include <iostream.h>
#include <stdlib.h>

#ifndef LINUX
#include <conio.h>
#else
#include <ncurses.h>
#endif
class postfach {
    public:
    char * name;
    postfach () {
	cout << "Konstruktor postfach"<<endl;
    }
    ~postfach () {
	cout << "Destruktor postfach"<<endl;
    }
};

#include "mylist.cpp"


main () {
    postfach postfach1;
    postfach postfach2;
    list mylist;
    cout << "size:" << mylist.size()<< endl;
    cout << "isempty:"<< mylist.isempty()<<endl;
    postfach1.name="lea";
    mylist.push_front(&postfach1);
    cout << "pushed postfach1"<<endl;
    cout << "size:" << mylist.size()<< endl;
    cout << "isempty:"<< mylist.isempty()<<endl;
    postfach2.name="theo";
    mylist.push_back(&postfach2);
    cout << "pushed postfach2"<<endl;
    cout << "size:" << mylist.size()<< endl;
    cout << "isempty:"<< mylist.isempty()<<endl;
    mylist.pop_back();
    cout << "poped lastpostfach"<<endl;
    cout << "size:" << mylist.size()<< endl;
    cout << "isempty:"<< mylist.isempty()<<endl;
    postfach2.name="anna";
    mylist.push_back(&postfach2);
    cout << "pushed postfach2"<<endl;
    cout << "size:" << mylist.size()<< endl;
    cout << "isempty:"<< mylist.isempty()<<endl;
    mylist.pop_front();
    cout << "poped firstpostfach"<<endl;
    cout << "size:" << mylist.size()<< endl;
    cout << "isempty:"<< mylist.isempty()<<endl;
    mylist.tofirst();
    cout << "tofirst"<<endl;
    cout << "get:"<< mylist.get()->name<<endl;
    cout << "next:"<< mylist.next()<<endl;;
    getch();
}
