/*
 *  Name       : main2.cpp (test fuer postfachlist.h)
 *  Author     : Andreas Romeyke
 *  Subject    : Projekt Informatik S99/1 2000
 *  Teammembers: Andreas Romeyke, Michael Schreiter, Dirk Baumann, Falko Gittel
 *  Copyright  : LGPL (see http://www.gnu.org)
 *  Description: Testprogramm fuer Liste.
 *  Interfaces : see Source
 *  Tested     : Linux with egcs 2.91.66
 *  Status     : in development
 *  Date       : 30.4.2000
 */

//#define LINUX

#include <iostream.h>
#include <stdlib.h>

#ifndef LINUX
#include <conio.h>
#else
#include <ncurses.h>
#endif
class postfach {
    public:
    char * name;
    postfach () {
	cout << "Konstruktor postfach"<<endl;
    }
    ~postfach () {
	cout << "Destruktor postfach"<<endl;
    }
};

#include "mylist.cpp"


main () {
    postfach * postfach1;
    list mylist;
    int i;
    char name[512]=""; 
    for (i=0; i<4; i++) {
	cout << "size:" << mylist.size()<< endl;
	cout << "isempty:"<< mylist.isempty()<<endl;
	sprintf(name, "test.%i",i);
	postfach1=new postfach;
	postfach1->name=name;
	mylist.push_back(postfach1);
	cout << "pushed postfach1:"<<postfach1->name<<endl;
    }
    cout << "====================="<<endl;
    cout << "Auslesen der Werte:"<<endl;
    cout << "====================="<<endl;
    mylist.tofirst();
    if (mylist.isfirst()==true) cout << "isfirst"<<endl;
    cout << "get:"<< mylist.get()->name<<endl;
    while (mylist.islast()!=true) {
	cout << "size:" << mylist.size()<< endl;
	cout << "isempty:"<< mylist.isempty()<<endl;
	cout << "next:"<< mylist.next()->name<<endl;
    }
    getch();
}
